Bug 722714 - LLVM built with -fno-rtti
LLVM built with -fno-rtti
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-16 18:57 EDT by postmodern
Modified: 2011-08-23 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: llvm-2.8-12.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 11:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description postmodern 2011-07-16 18:57:21 EDT
llvm-2.8-11.fc15.x86_64 appears to have been built with the -fno-rtti flag. This prevents me from compiling Rubinius 2.0.0pre (https://github.com/rubinius/rubinius/tree/2.0.0pre) on Fedora 15.

How reproducible:

Install LLVM and configure Rubinius.

Steps to Reproduce:
1. yum install llvm llvm-devel
2. git clone git://github.com/rubinius/rubinius.git && rubinius/
3. git checkout -b 2.0.0pre --track origin/2.0.0pre
4. ./configure
  
Actual results:
  Configuring LLVM...
    Checking for existing LLVM library tree: not found.
    Checking for 'llvm-config': incorrectly configured llvm (rtti is off)
    Checking for prebuilt LLVM package...

Expected results:

Rubinius configures/compiles against the system LLVM, and does not have to download/compile the LLVM source-tree.

Additional info:
Comment 1 Fedora Update System 2011-08-02 06:08:08 EDT
llvm-2.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
Comment 2 Fedora Update System 2011-08-02 16:50:38 EDT
Package llvm-2.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing llvm-2.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-08-04 17:12:38 EDT
Package OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OpenGTL-0.9.15.1-2.fc16 ldc-2-3.20110801git58d40d2.fc16 mesa-7.11-2.fc16 pure-0.47-3.fc16 llvm-2.9-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/OpenGTL-0.9.15.1-2.fc16,ldc-2-3.20110801git58d40d2.fc16,mesa-7.11-2.fc16,pure-0.47-3.fc16,llvm-2.9-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-08-12 07:01:36 EDT
llvm-2.8-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/llvm-2.8-12.fc15
Comment 5 Fedora Update System 2011-08-12 07:01:49 EDT
llvm-2.8-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/llvm-2.8-12.fc14
Comment 6 Fedora Update System 2011-08-22 11:07:02 EDT
OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-08-23 00:26:55 EDT
llvm-2.8-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-08-23 00:35:35 EDT
llvm-2.8-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.